CM2MAN(1)

NAME
cm2man - convert CommonMark file to man page

SYNOPSIS
cm2man [options] [<source> [<destination>]]

DESCRIPTION
Generate a manpage from markdown sources. Reads from <source> (default is stdin) and writes to <destination> (default is stdout). See <http://docutils.sf.net/docs/user/config.html> for the full reference.

OPTIONS

  General Docutils Options:

--title=TITLE
    Specify the document title as metadata.

--generator, -g
    Include a "Generated by Docutils" credit and link.

--no-generator
    Do not include a generator credit.

--date, -d
    Include the date at the end of the document (UTC).

--time, -t
    Include the time & date (UTC).

--no-datestamp
    Do not include a datestamp of any kind.

--source-link, -s
    Include a "View document source" link.

--source-url=<URL>
    Use <URL> for a source link; implies --source-link.

--no-source-link
    Do not include a "View document source" link.

--toc-entry-backlinks
    Link from section headers to TOC entries. (default)

--toc-top-backlinks
    Link from section headers to the top of the TOC.

--no-toc-backlinks
    Disable backlinks to the table of contents.

--footnote-backlinks
    Link from footnotes/citations to references. (default)

--no-footnote-backlinks
    Disable backlinks from footnotes and citations.

--section-numbering
    Enable section numbering by Docutils. (default)

--no-section-numbering
    Disable section numbering by Docutils.

--strip-comments
    Remove comment elements from the document tree.

--leave-comments
    Leave comment elements in the document tree. (default)

--strip-elements-with-class=<class>
    Remove all elements with classes="<class>" from the document tree. Warning: potentially dangerous; use with caution. (Multiple-use option.)

--strip-class=<class>
    Remove all classes="<class>" attributes from elements in the document tree. Warning: potentially dangerous; use with caution. (Multiple-use option.)

--report=<level>, -r <level>
    Report system messages at or higher than <level>: "info" or "1", "warning"/"2" (default), "error"/"3", "severe"/"4", "none"/"5"

--verbose, -v
    Report all system messages. (Same as "--report=1".)

--quiet, -q
    Report no system messages. (Same as "--report=5".)

--halt=<level>
    Halt execution at system messages at or above <level>. Levels as in --report. Default: 4 (severe).

--strict
    Halt at the slightest problem. Same as "--halt=info".

--exit-status=<level>
    Enable a non-zero exit status for non-halting system messages at or above <level>. Default: 5 (disabled).

--debug
    Enable debug-level system messages and diagnostics.

--no-debug
    Disable debug output. (default)

--warnings=<file>
    Send the output of system messages to <file>.

--traceback
    Enable Python tracebacks when Docutils is halted.

--no-traceback
    Disable Python tracebacks. (default)

--input-encoding=<name[:handler]>, -i <name[:handler]>
    Specify the encoding and optionally the error handler of input text. Default: <locale-dependent>:strict.

--input-encoding-error-handler=INPUT_ENCODING_ERROR_HANDLER
    Specify the error handler for undecodable characters. Choices: "strict" (default), "ignore", and "replace".

--output-encoding=<name[:handler]>, -o <name[:handler]>
    Specify the text encoding and optionally the error handler for output. Default: UTF-8:strict.

--output-encoding-error-handler=OUTPUT_ENCODING_ERROR_HANDLER
    Specify error handler for unencodable output characters; "strict" (default), "ignore", "replace", "xmlcharrefreplace", "backslashreplace".

--error-encoding=<name[:handler]>, -e <name[:handler]>
    Specify text encoding and error handler for error output. Default: ascii:backslashreplace.

--error-encoding-error-handler=ERROR_ENCODING_ERROR_HANDLER
    Specify the error handler for unencodable characters in error output. Default: backslashreplace.

--language=<name>, -l <name>
    Specify the language (as BCP 47 language tag). Default: en.

--record-dependencies=<file>
    Write output file dependencies to <file>.

--config=<file>
    Read configuration settings from <file>, if it exists.

--version, -V
    Show this program's version number and exit.

--help, -h
    Show this help message and exit.

  Standalone Reader:

--no-doc-title
    Disable the promotion of a lone top-level section title to document title (and subsequent section title to document subtitle promotion; enabled by default).

--no-doc-info
    Disable the bibliographic field list transform (enabled by default).

--section-subtitles
    Activate the promotion of lone subsection titles to section subtitles (disabled by default).

--no-section-subtitles
    Deactivate the promotion of lone subsection titles.

AUTHOR
Steve Genoud and Luca Barbato

COPYRIGHT
Copyright (C) 2014 Steve Genoud and Luca Barbato